import { stackedAreaChart } from './stackedAreaChart';

const svg = d3.select(document.body).append('svg');
//const gigatons = str => (+str) / 1000;

var parseRow = d => {
  d.Year = new Date(d.Year);
  d.Cosmetics=d.Cosmetics;
  d.Clothing = d.Clothing;
  d.FoodBeverages = d.FoodBeverages;
  d.Technology = d.Technology;
  d.BooksToys=d.BooksToys;
  return d;
};


d3.csv('data.csv', parseRow, data => {
 
  data = data.filter(d => d.Year > new Date("1900"));
  const render = () => {
    const width = document.body.clientWidth;
    const height = document.body.clientHeight;
    
    svg.attr('width', width).attr('height', height);
    
    let g = svg.selectAll('g').data([null]);
    g = g.enter().append('g').merge(g);
    
    stackedAreaChart(g, {
      data,
      keys: ["Cosmetics","Clothing", "FoodBeverages", "Technology","BooksToys"],
      width,
      height,
      xValue: d => d.Year,
      colorScale: d3.scaleOrdinal(d3.schemeDark2),
      margin: { top: 90, right: 70, bottom: 50, left: 100 },
      yAxisTitle: 'Products Count',
      yAxisTitleOffset: -60
                  
    });
  };
  render();
  
  window.addEventListener('resize', render);
});